// pages/article/article.js
const app = getApp()
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[],
    total:0,
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      type:options.type
    })
    wx.setNavigationBarTitle({
      title: options.type,
    })
    this.getData()
  },
  getData:function(){
    var list = this.data.list
    $api.getChampionlList({category:this.data.type,page:this.data.page}).then(res=>{
      res.data.data.list.forEach(item => {
        list.push(item)
      })
      this.setData({
        list: list,
        total: res.data.data.total
      })
    })
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData()
    }
  },
  pushArticleWeb(e){
    if($api.checkUserRole()){
      wx.navigateTo({
        url: '../articleweb/articleweb?id=' + e.currentTarget.dataset.id,
      })
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})